<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/PlaybackController/src/PlaybackCommand.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_7b6c89f8529a936fe9cff738852cb883.html">PlaybackController</a></li><li class="navelem"><a class="el" href="dir_0941af995683471172955459524bdfe2.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">PlaybackCommand.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;rapidjson/document.h&gt;</code><br />
<code>#include &lt;rapidjson/stringbuffer.h&gt;</code><br />
<code>#include &lt;rapidjson/writer.h&gt;</code><br />
<code>#include &lt;rapidjson/error/en.h&gt;</code><br />
<code>#include &quot;<a class="el" href="_playback_command_8h_source.html">PlaybackController/PlaybackCommand.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for PlaybackCommand.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_playback_command_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_capability_agents_2_playback_controller_2src_2_playback_command_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_capability_agents_2_playback_controller_2src_2_playback_command_8cpp" id="_2workplace_2avs-device-sdk_2_capability_agents_2_playback_controller_2src_2_playback_command_8cpp">
<area shape="rect" id="node6" href="_playback_command_8h.html" title="PlaybackController\l/PlaybackCommand.h" alt="" coords="664,119,816,157"/>
<area shape="rect" id="node9" href="_playback_buttons_8h.html" title="AVSCommon/AVS/PlaybackButtons.h" alt="" coords="799,205,1043,231"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">alexaClientSDK::capabilityAgents</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html">alexaClientSDK::capabilityAgents::playbackController</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_playback_command_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;utils::logger::LogEntry(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ae962ca5ea9f37cf42f0351dfd4039b3c"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ae962ca5ea9f37cf42f0351dfd4039b3c">alexaClientSDK::capabilityAgents::playbackController::TAG</a> (&quot;PlaybackCommand&quot;)</td></tr>
<tr class="memdesc:ae962ca5ea9f37cf42f0351dfd4039b3c"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ae962ca5ea9f37cf42f0351dfd4039b3c">More...</a><br /></td></tr>
<tr class="separator:ae962ca5ea9f37cf42f0351dfd4039b3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5db784eab7caecdf362454a1ccf58584"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a5db784eab7caecdf362454a1ccf58584">alexaClientSDK::capabilityAgents::playbackController::operator&lt;&lt;</a> (std::ostream &amp;stream, const PlaybackCommand &amp;command)</td></tr>
<tr class="separator:a5db784eab7caecdf362454a1ccf58584"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ae32afa756d0bf2dcb8a9d470d8387bde"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ae32afa756d0bf2dcb8a9d470d8387bde">alexaClientSDK::capabilityAgents::playbackController::BUTTON_COMMAND_EVENT_NAME</a> = &quot;ButtonCommandIssued&quot;</td></tr>
<tr class="separator:ae32afa756d0bf2dcb8a9d470d8387bde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8f9344dfc552bff003900e226b8cac3"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ac8f9344dfc552bff003900e226b8cac3">alexaClientSDK::capabilityAgents::playbackController::TOGGLE_COMMAND_EVENT_NAME</a> = &quot;ToggleCommandIssued&quot;</td></tr>
<tr class="separator:ac8f9344dfc552bff003900e226b8cac3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff792ae46c8f86a15679dc325c828195"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#aff792ae46c8f86a15679dc325c828195">alexaClientSDK::capabilityAgents::playbackController::PLAYBACK_TOGGLE_ACTION_SELECT</a> = &quot;SELECT&quot;</td></tr>
<tr class="separator:aff792ae46c8f86a15679dc325c828195"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1247aec1074391b3813407d834916fe7"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a1247aec1074391b3813407d834916fe7">alexaClientSDK::capabilityAgents::playbackController::PLAYBACK_TOGGLE_ACTION_DESELECT</a> = &quot;DESELECT&quot;</td></tr>
<tr class="separator:a1247aec1074391b3813407d834916fe7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a226d987aabd03092366945844299c973"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a226d987aabd03092366945844299c973">alexaClientSDK::capabilityAgents::playbackController::PLAYBACK_TOGGLE_NAME_SHUFFLE</a> = &quot;SHUFFLE&quot;</td></tr>
<tr class="separator:a226d987aabd03092366945844299c973"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac62688d8c5d3aec175a13a34723a9c07"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ac62688d8c5d3aec175a13a34723a9c07">alexaClientSDK::capabilityAgents::playbackController::PLAYBACK_TOGGLE_NAME_LOOP</a> = &quot;LOOP&quot;</td></tr>
<tr class="separator:ac62688d8c5d3aec175a13a34723a9c07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac248e22ba696fb35b580629a11e27934"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ac248e22ba696fb35b580629a11e27934">alexaClientSDK::capabilityAgents::playbackController::PLAYBACK_TOGGLE_NAME_REPEAT</a> = &quot;REPEAT&quot;</td></tr>
<tr class="separator:ac248e22ba696fb35b580629a11e27934"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96812448a60541e1fd18fa089226b1fc"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a96812448a60541e1fd18fa089226b1fc">alexaClientSDK::capabilityAgents::playbackController::PLAYBACK_TOGGLE_NAME_THUMBSUP</a> = &quot;THUMBSUP&quot;</td></tr>
<tr class="separator:a96812448a60541e1fd18fa089226b1fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4f694a66181fb10fe35920280da8738"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#af4f694a66181fb10fe35920280da8738">alexaClientSDK::capabilityAgents::playbackController::PLAYBACK_TOGGLE_NAME_THUMBSDOWN</a> = &quot;THUMBSDOWN&quot;</td></tr>
<tr class="separator:af4f694a66181fb10fe35920280da8738"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9171334a032f4a45a3e38e3f96c4822f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a9171334a032f4a45a3e38e3f96c4822f">alexaClientSDK::capabilityAgents::playbackController::PLAYBACK_NAME_UNKNOWN</a> = &quot;UNKNOWN&quot;</td></tr>
<tr class="separator:a9171334a032f4a45a3e38e3f96c4822f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ea0b7e83870cdf74c5db18dcfa91f48"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a2ea0b7e83870cdf74c5db18dcfa91f48">alexaClientSDK::capabilityAgents::playbackController::PLAYBACK_CONTROLLER_EVENT_NAME_KEY</a> = &quot;name&quot;</td></tr>
<tr class="separator:a2ea0b7e83870cdf74c5db18dcfa91f48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abccb8594bd18210007f1367043deb7ee"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#abccb8594bd18210007f1367043deb7ee">alexaClientSDK::capabilityAgents::playbackController::PLAYBACK_CONTROLLER_EVENT_ACTION_KEY</a> = &quot;action&quot;</td></tr>
<tr class="separator:abccb8594bd18210007f1367043deb7ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0082bacaeaf6e56d3ef1cb2da6ab91be"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a0082bacaeaf6e56d3ef1cb2da6ab91be">alexaClientSDK::capabilityAgents::playbackController::JSON_EMPTY_PAYLOAD</a> = &quot;{}&quot;</td></tr>
<tr class="separator:a0082bacaeaf6e56d3ef1cb2da6ab91be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a0c80934c428dbea71dcd17bf0cb843"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a6a0c80934c428dbea71dcd17bf0cb843">alexaClientSDK::capabilityAgents::playbackController::JSON_BEGIN</a> = &quot;{\&quot;&quot;</td></tr>
<tr class="separator:a6a0c80934c428dbea71dcd17bf0cb843"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57ca7a18c2c2cbc4cda731f3e6adc205"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a57ca7a18c2c2cbc4cda731f3e6adc205">alexaClientSDK::capabilityAgents::playbackController::JSON_COLON</a> = &quot;\&quot;: \&quot;&quot;</td></tr>
<tr class="separator:a57ca7a18c2c2cbc4cda731f3e6adc205"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfc1a26762f93b51f8f55a980035c056"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#acfc1a26762f93b51f8f55a980035c056">alexaClientSDK::capabilityAgents::playbackController::JSON_COMMA</a> = &quot;\&quot;, \&quot;&quot;</td></tr>
<tr class="separator:acfc1a26762f93b51f8f55a980035c056"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99c7b350b43a682cbeab0110cc994c8d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a99c7b350b43a682cbeab0110cc994c8d">alexaClientSDK::capabilityAgents::playbackController::JSON_END</a> = &quot;\&quot;}&quot;</td></tr>
<tr class="separator:a99c7b350b43a682cbeab0110cc994c8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f6845b974e9f0b48838e4f3ed1a12b3"><td class="memItemLeft" align="right" valign="top">static const ButtonCommand_v1_0&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a7f6845b974e9f0b48838e4f3ed1a12b3">alexaClientSDK::capabilityAgents::playbackController::g_playButton_v1_0</a> = ButtonCommand_v1_0(&quot;PlayCommandIssued&quot;)</td></tr>
<tr class="memdesc:a7f6845b974e9f0b48838e4f3ed1a12b3"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>PlayCommandIssued</code> event.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a7f6845b974e9f0b48838e4f3ed1a12b3">More...</a><br /></td></tr>
<tr class="separator:a7f6845b974e9f0b48838e4f3ed1a12b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee052cc893b5eaba38a9c97160d5415b"><td class="memItemLeft" align="right" valign="top">static const ButtonCommand_v1_0&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#aee052cc893b5eaba38a9c97160d5415b">alexaClientSDK::capabilityAgents::playbackController::g_pauseButton_v1_0</a> = ButtonCommand_v1_0(&quot;PauseCommandIssued&quot;)</td></tr>
<tr class="memdesc:aee052cc893b5eaba38a9c97160d5415b"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>PauseCommandIssued</code> event.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#aee052cc893b5eaba38a9c97160d5415b">More...</a><br /></td></tr>
<tr class="separator:aee052cc893b5eaba38a9c97160d5415b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acaffc24cc7b8bbab92f2b9491d94d58f"><td class="memItemLeft" align="right" valign="top">static const ButtonCommand_v1_0&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#acaffc24cc7b8bbab92f2b9491d94d58f">alexaClientSDK::capabilityAgents::playbackController::g_nextButton_v1_0</a> = ButtonCommand_v1_0(&quot;NextCommandIssued&quot;)</td></tr>
<tr class="memdesc:acaffc24cc7b8bbab92f2b9491d94d58f"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>NextCommandIssued</code> event.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#acaffc24cc7b8bbab92f2b9491d94d58f">More...</a><br /></td></tr>
<tr class="separator:acaffc24cc7b8bbab92f2b9491d94d58f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab44fb55d590ba3e1dc831bf79d89bd71"><td class="memItemLeft" align="right" valign="top">static const ButtonCommand_v1_0&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ab44fb55d590ba3e1dc831bf79d89bd71">alexaClientSDK::capabilityAgents::playbackController::g_previousButton_v1_0</a> = ButtonCommand_v1_0(&quot;PreviousCommandIssued&quot;)</td></tr>
<tr class="memdesc:ab44fb55d590ba3e1dc831bf79d89bd71"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>PreviousCommandIssued</code> event.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ab44fb55d590ba3e1dc831bf79d89bd71">More...</a><br /></td></tr>
<tr class="separator:ab44fb55d590ba3e1dc831bf79d89bd71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a953823213e628090490434535ef7cc5a"><td class="memItemLeft" align="right" valign="top">static const ButtonCommand_v1_1&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a953823213e628090490434535ef7cc5a">alexaClientSDK::capabilityAgents::playbackController::g_skipForwardButton_v1_0</a> = ButtonCommand_v1_1(&quot;SKIPFORWARD&quot;)</td></tr>
<tr class="memdesc:a953823213e628090490434535ef7cc5a"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>SKIPFORWARD</code> command.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a953823213e628090490434535ef7cc5a">More...</a><br /></td></tr>
<tr class="separator:a953823213e628090490434535ef7cc5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9647666efcd4d4ec5880ecabd19255c0"><td class="memItemLeft" align="right" valign="top">static const ButtonCommand_v1_1&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a9647666efcd4d4ec5880ecabd19255c0">alexaClientSDK::capabilityAgents::playbackController::g_skipBackwardButton_v1_0</a> = ButtonCommand_v1_1(&quot;SKIPBACKWARD&quot;)</td></tr>
<tr class="memdesc:a9647666efcd4d4ec5880ecabd19255c0"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>SKIPBACKWARD</code> command.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a9647666efcd4d4ec5880ecabd19255c0">More...</a><br /></td></tr>
<tr class="separator:a9647666efcd4d4ec5880ecabd19255c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91936bd522425544965af0204a009124"><td class="memItemLeft" align="right" valign="top">static const ButtonCommand_v1_1&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a91936bd522425544965af0204a009124">alexaClientSDK::capabilityAgents::playbackController::g_unknownButton_v1_0</a> = ButtonCommand_v1_1(PLAYBACK_NAME_UNKNOWN)</td></tr>
<tr class="memdesc:a91936bd522425544965af0204a009124"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unknown command.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a91936bd522425544965af0204a009124">More...</a><br /></td></tr>
<tr class="separator:a91936bd522425544965af0204a009124"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae87e1631988e3a1446004ae8bd5938c7"><td class="memItemLeft" align="right" valign="top">static const ToggleCommand&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ae87e1631988e3a1446004ae8bd5938c7">alexaClientSDK::capabilityAgents::playbackController::g_shuffleSelectToggle</a> = ToggleCommand(PLAYBACK_TOGGLE_NAME_SHUFFLE, true)</td></tr>
<tr class="memdesc:ae87e1631988e3a1446004ae8bd5938c7"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>SHUFFLE</code> command with action = <code>SELECT</code>  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ae87e1631988e3a1446004ae8bd5938c7">More...</a><br /></td></tr>
<tr class="separator:ae87e1631988e3a1446004ae8bd5938c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae75d1dc3590901e5be3c5904dcca44d"><td class="memItemLeft" align="right" valign="top">static const ToggleCommand&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#aae75d1dc3590901e5be3c5904dcca44d">alexaClientSDK::capabilityAgents::playbackController::g_shuffleDeselectToggle</a> = ToggleCommand(PLAYBACK_TOGGLE_NAME_SHUFFLE, false)</td></tr>
<tr class="memdesc:aae75d1dc3590901e5be3c5904dcca44d"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>SHUFFLE</code> command with action = <code>DESELECT</code>  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#aae75d1dc3590901e5be3c5904dcca44d">More...</a><br /></td></tr>
<tr class="separator:aae75d1dc3590901e5be3c5904dcca44d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75a36849ea614be1e506b2474241435d"><td class="memItemLeft" align="right" valign="top">static const ToggleCommand&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a75a36849ea614be1e506b2474241435d">alexaClientSDK::capabilityAgents::playbackController::g_loopSelectToggle</a> = ToggleCommand(PLAYBACK_TOGGLE_NAME_LOOP, true)</td></tr>
<tr class="memdesc:a75a36849ea614be1e506b2474241435d"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>LOOP</code> command with action = <code>SELECT</code>  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a75a36849ea614be1e506b2474241435d">More...</a><br /></td></tr>
<tr class="separator:a75a36849ea614be1e506b2474241435d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e7fc16ccff9aa8a4f660c4e43803ef7"><td class="memItemLeft" align="right" valign="top">static const ToggleCommand&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a3e7fc16ccff9aa8a4f660c4e43803ef7">alexaClientSDK::capabilityAgents::playbackController::g_loopDeselectToggle</a> = ToggleCommand(PLAYBACK_TOGGLE_NAME_LOOP, false)</td></tr>
<tr class="memdesc:a3e7fc16ccff9aa8a4f660c4e43803ef7"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>LOOP</code> command with action = <code>DESELECT</code>  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a3e7fc16ccff9aa8a4f660c4e43803ef7">More...</a><br /></td></tr>
<tr class="separator:a3e7fc16ccff9aa8a4f660c4e43803ef7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad45e03666ba5af34614a0647394406cb"><td class="memItemLeft" align="right" valign="top">static const ToggleCommand&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ad45e03666ba5af34614a0647394406cb">alexaClientSDK::capabilityAgents::playbackController::g_repeatSelectToggle</a> = ToggleCommand(PLAYBACK_TOGGLE_NAME_REPEAT, true)</td></tr>
<tr class="memdesc:ad45e03666ba5af34614a0647394406cb"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>REPEAT</code> command with action = <code>SELECT</code>  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ad45e03666ba5af34614a0647394406cb">More...</a><br /></td></tr>
<tr class="separator:ad45e03666ba5af34614a0647394406cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a331397536b99556eae370183f8aad679"><td class="memItemLeft" align="right" valign="top">static const ToggleCommand&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a331397536b99556eae370183f8aad679">alexaClientSDK::capabilityAgents::playbackController::g_repeatDeselectToggle</a> = ToggleCommand(PLAYBACK_TOGGLE_NAME_REPEAT, false)</td></tr>
<tr class="memdesc:a331397536b99556eae370183f8aad679"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>REPEAT</code> command with action = <code>DESELECT</code>  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a331397536b99556eae370183f8aad679">More...</a><br /></td></tr>
<tr class="separator:a331397536b99556eae370183f8aad679"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a348cf0aec71d2624eb8f47acad7e84ab"><td class="memItemLeft" align="right" valign="top">static const ToggleCommand&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a348cf0aec71d2624eb8f47acad7e84ab">alexaClientSDK::capabilityAgents::playbackController::g_thumbsUpSelectToggle</a> = ToggleCommand(PLAYBACK_TOGGLE_NAME_THUMBSUP, true)</td></tr>
<tr class="memdesc:a348cf0aec71d2624eb8f47acad7e84ab"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>THUMBSUP</code> command with action = <code>SELECT</code>  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a348cf0aec71d2624eb8f47acad7e84ab">More...</a><br /></td></tr>
<tr class="separator:a348cf0aec71d2624eb8f47acad7e84ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36d2443dbd84f0f7b1a99c452b02f0fa"><td class="memItemLeft" align="right" valign="top">static const ToggleCommand&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a36d2443dbd84f0f7b1a99c452b02f0fa">alexaClientSDK::capabilityAgents::playbackController::g_thumbsUpDeselectToggle</a> = ToggleCommand(PLAYBACK_TOGGLE_NAME_THUMBSUP, false)</td></tr>
<tr class="memdesc:a36d2443dbd84f0f7b1a99c452b02f0fa"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>THUMBSUP</code> command with action = <code>DESELECT</code>  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a36d2443dbd84f0f7b1a99c452b02f0fa">More...</a><br /></td></tr>
<tr class="separator:a36d2443dbd84f0f7b1a99c452b02f0fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3452c364073e003098eef21e480d0bf"><td class="memItemLeft" align="right" valign="top">static const ToggleCommand&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#af3452c364073e003098eef21e480d0bf">alexaClientSDK::capabilityAgents::playbackController::g_thumbsDownSelectToggle</a> = ToggleCommand(PLAYBACK_TOGGLE_NAME_THUMBSDOWN, true)</td></tr>
<tr class="memdesc:af3452c364073e003098eef21e480d0bf"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>THUMBSDOWN</code> command with action = <code>SELECT</code>  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#af3452c364073e003098eef21e480d0bf">More...</a><br /></td></tr>
<tr class="separator:af3452c364073e003098eef21e480d0bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac366cbfddbe1876e94fb8435cda26d17"><td class="memItemLeft" align="right" valign="top">static const ToggleCommand&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ac366cbfddbe1876e94fb8435cda26d17">alexaClientSDK::capabilityAgents::playbackController::g_thumbsDownDeselectToggle</a> = ToggleCommand(PLAYBACK_TOGGLE_NAME_THUMBSDOWN, false)</td></tr>
<tr class="memdesc:ac366cbfddbe1876e94fb8435cda26d17"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>THUMBSDOWN</code> command with action = <code>DESELECT</code>  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ac366cbfddbe1876e94fb8435cda26d17">More...</a><br /></td></tr>
<tr class="separator:ac366cbfddbe1876e94fb8435cda26d17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab88d41fb0c3e769012473064c4f43a38"><td class="memItemLeft" align="right" valign="top">static const ToggleCommand&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ab88d41fb0c3e769012473064c4f43a38">alexaClientSDK::capabilityAgents::playbackController::g_unknownToggle</a> = ToggleCommand(PLAYBACK_NAME_UNKNOWN, false)</td></tr>
<tr class="memdesc:ab88d41fb0c3e769012473064c4f43a38"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unknown toggle.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ab88d41fb0c3e769012473064c4f43a38">More...</a><br /></td></tr>
<tr class="separator:ab88d41fb0c3e769012473064c4f43a38"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8bc9ca8e55a0ebf538e46e28bf26262">&#9670;&nbsp;</a></span>LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;utils::logger::LogEntry(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
